[ MDVSA-2012:028 ] libxslt



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2012:028
http://www.mandriva.com/security/
_______________________________________________________________________

Package : libxslt
Date : March 1, 2012
Affected: 2010.1, 2011., Enterprise Server 5.0
_______________________________________________________________________

Problem Description:

A vulnerability has been found and corrected in libxslt:

libxslt allows remote attackers to cause a denial of service
(out-of-bounds read) via unspecified vectors (CVE-2011-3970).

The updated packages have been patched to correct this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3970
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2010.1:
7105403e6d3766f56733500bc390b57d 2010.1/i586/libxslt1-1.1.26-2.1mdv2010.2.i586.rpm
fe6398d612630b8830a3d4f38baab0a9 2010.1/i586/libxslt-devel-1.1.26-2.1mdv2010.2.i586.rpm
bf669c0f2e3c19e0423f4d58aaf5528b 2010.1/i586/python-libxslt-1.1.26-2.1mdv2010.2.i586.rpm
350006eef33b8f9635784ce2b8b7294c 2010.1/i586/xsltproc-1.1.26-2.1mdv2010.2.i586.rpm
cbf2bd0f097af0fd7561733e8c0c22f7 2010.1/SRPMS/libxslt-1.1.26-2.1mdv2010.2.src.rpm

Mandriva Linux 2010.1/X86_64:
3139811d767ff8989b2946a8d1d19586 2010.1/x86_64/lib64xslt1-1.1.26-2.1mdv2010.2.x86_64.rpm
ef13c6145ac33b1e3801d40af2f42bdb 2010.1/x86_64/lib64xslt-devel-1.1.26-2.1mdv2010.2.x86_64.rpm
a76dcaf17801b80d5876d34b43afb79c 2010.1/x86_64/python-libxslt-1.1.26-2.1mdv2010.2.x86_64.rpm
1085bd30db1a1cb27d73a7e7592d19b2 2010.1/x86_64/xsltproc-1.1.26-2.1mdv2010.2.x86_64.rpm
cbf2bd0f097af0fd7561733e8c0c22f7 2010.1/SRPMS/libxslt-1.1.26-2.1mdv2010.2.src.rpm

Mandriva Linux 2011:
7fe61ac2a16098bfbcedfeb4836d51b5 2011/i586/libxslt1-1.1.26-4.1-mdv2011.0.i586.rpm
caf731aa8c93c120de1195064f1e09a1 2011/i586/libxslt-devel-1.1.26-4.1-mdv2011.0.i586.rpm
e3d24bc79e4380b2db4cafbd575d00a6 2011/i586/python-libxslt-1.1.26-4.1-mdv2011.0.i586.rpm
b346aad00c3e796c34282b540693e789 2011/i586/xsltproc-1.1.26-4.1-mdv2011.0.i586.rpm
651051524a508fdd300ca5d6f78aacb3 2011/SRPMS/libxslt-1.1.26-4.1.src.rpm

Mandriva Linux 2011/X86_64:
22148a94a5dedc72bb16d0a7c092ff8e 2011/x86_64/lib64xslt1-1.1.26-4.1-mdv2011.0.x86_64.rpm
b6f69cc33f8a9b809480cb001203e764 2011/x86_64/lib64xslt-devel-1.1.26-4.1-mdv2011.0.x86_64.rpm
96dde49301b4652e6c42fe6150280bb6 2011/x86_64/python-libxslt-1.1.26-4.1-mdv2011.0.x86_64.rpm
036ee20bfa3a947e9009815de034a2d1 2011/x86_64/xsltproc-1.1.26-4.1-mdv2011.0.x86_64.rpm
651051524a508fdd300ca5d6f78aacb3 2011/SRPMS/libxslt-1.1.26-4.1.src.rpm

Mandriva Enterprise Server 5:
15672fbb14335dfec4bf6078cd2d2ab5 mes5/i586/libxslt1-1.1.24-3.1mdvmes5.2.i586.rpm
bed7b920b662906995cbe79e5e3a9a8d mes5/i586/libxslt-devel-1.1.24-3.1mdvmes5.2.i586.rpm
e614109a5f89d407f20aa34222b2d5d5 mes5/i586/libxslt-proc-1.1.24-3.1mdvmes5.2.i586.rpm
2992dc23d56830546526acfa3bfc7091 mes5/i586/python-libxslt-1.1.24-3.1mdvmes5.2.i586.rpm
9eff0e1e3bb3c4574dbd5b4bf54a3cc3 mes5/SRPMS/libxslt-1.1.24-3.1mdvmes5.2.src.rpm

Mandriva Enterprise Server 5/X86_64:
b366c6605b0166f50f4e803f1e90cb6a mes5/x86_64/lib64xslt1-1.1.24-3.1mdvmes5.2.x86_64.rpm
7524535fca69c093b805409538f96729 mes5/x86_64/lib64xslt-devel-1.1.24-3.1mdvmes5.2.x86_64.rpm
81e7c3326ddba43847b2752c205f37ae mes5/x86_64/libxslt-proc-1.1.24-3.1mdvmes5.2.x86_64.rpm
1f399a6035e97dd9c1ce85becc54c26b mes5/x86_64/python-libxslt-1.1.24-3.1mdvmes5.2.x86_64.rpm
9eff0e1e3bb3c4574dbd5b4bf54a3cc3 mes5/SRPMS/libxslt-1.1.24-3.1mdvmes5.2.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPTwJEmqjQ0CJFipgRAh82AJ9WxBkcwoqalQxholl2CmA2HUYWQACeMBGk
J0g50SFPQuU0d1bgJMWsLzE=
=tRUy
-----END PGP SIGNATURE-----



Relevant Pages

  • [Full-disclosure] [ MDVSA-2013:301 ] nss
    ... Business Server 1.0, Enterprise Server 5.0 ... This certificate ... Additionally the rootcerts packages has been upgraded with the latest ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)
  • [ MDVSA-2013:301 ] nss
    ... Business Server 1.0, Enterprise Server 5.0 ... This certificate ... Additionally the rootcerts packages has been upgraded with the latest ... Mandriva Enterprise Server 5/X86_64: ...
    (Bugtraq)
  • [ MDVSA-2011:146 ] cups
    ... 2009.0, 2010.1, Enterprise Server 5.0 ... Packages for 2009.0 are provided as of the Extended Maintenance ... Mandriva Linux 2009.0/X86_64: ...
    (Bugtraq)
  • [Full-disclosure] [ MDVSA-2014:010 ] memcached
    ... Business Server 1.0, Enterprise Server 5.0 ... authentication by sending an invalid request with SASL credentials, ... Updated Packages: ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)
  • [ MDVSA-2014:010 ] memcached
    ... Business Server 1.0, Enterprise Server 5.0 ... authentication by sending an invalid request with SASL credentials, ... Updated Packages: ... Mandriva Enterprise Server 5/X86_64: ...
    (Bugtraq)